## org.eclipse.emf.ecore.xmi.impl
Class XMLLoadImpl.AttributesProxy

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl.AttributesProxy

All Implemented Interfaces:
  org.xml.sax.Attributes

Enclosing class:
  XMLLoadImpl

    protected static final class XMLLoadImpl.AttributesProxy

extends java.lang.Object
implements org.xml.sax.Attributes

Field Summary
`protected org.w3c.dom.NamedNodeMap` `attributes` DOM attributes.

Constructor Summary
`protected` `XMLLoadImpl.AttributesProxy()`

Method Summary
`int` `getIndex(java.lang.String qName)`
`int` `getIndex(java.lang.String uri, java.lang.String localPart)`
`int` `getLength()`
`java.lang.String` `getLocalName(int index)`
`java.lang.String` `getQName(int index)`
`java.lang.String` `getType(int i)`
`java.lang.String` `getType(java.lang.String name)`
`java.lang.String` `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` `getURI(int index)`
`java.lang.String` `getValue(int i)`
`java.lang.String` `getValue(java.lang.String name)`
`java.lang.String` `getValue(java.lang.String uri, java.lang.String localName)`
`void` `setAttributes(org.w3c.dom.NamedNodeMap attributes)` Sets the DOM attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected org.w3c.dom.NamedNodeMap attributes

  DOM attributes.

Constructor Detail

### XMLLoadImpl.AttributesProxy

    protected XMLLoadImpl.AttributesProxy()

Method Detail

### setAttributes

    public void setAttributes(org.w3c.dom.NamedNodeMap attributes)

  Sets the DOM attributes.

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.Attributes`

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(int i)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String qName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.